<?php
/******************************************************
This is the phpTunes script written by Ben Farhner
Copyright 2006 farhnware
http://farhnware.homelinux.com/wiki/index.php/phpTunes
version 2.0.0
******************************************************/

$uncheck = 'changeme'; // replace this with your username
$pwcheck = 'changeme'; // and password
$un = base64_decode($_POST['username']);
$pw = base64_decode($_POST['password']);
$html = $_POST['html'];
$fnow='tunes.txt';
if($un==$uncheck && $pw==$pwcheck) {
	file_put_contents($fnow,$html) or die('<p>The current track cannot be updated</p>');
}
if(is_readable($fnow)) {
	echo stripslashes(file_get_contents($fnow));
} else {
	echo '<p>The current track cannot be displayed</p>';
}
?>